Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jca.cci.connection
Class NotSupportedRecordFactory

    java.lang.Object
      org.springframework.jca.cci.connection.NotSupportedRecordFactory

All Implemented Interfaces:
  javax.resource.cci.RecordFactory

    public class NotSupportedRecordFactory

extends java.lang.Object
implements javax.resource.cci.RecordFactory

Implementation of the CCI RecordFactory interface that always throws NotSupportedException.

Useful as a placeholder for a RecordFactory argument (for example as defined by the RecordCreator callback), in particular when the connector's `ConnectionFactory.getRecordFactory()` implementation happens to throw NotSupportedException early rather than throwing the exception from RecordFactory's methods.

Since:
  1.2.4
Author:
  Juergen Hoeller
See Also:
  `RecordCreator.createRecord(javax.resource.cci.RecordFactory)`, `CciTemplate.getRecordFactory(javax.resource.cci.ConnectionFactory)`, `ConnectionFactory.getRecordFactory()`, `NotSupportedException`

Constructor Summary
`NotSupportedRecordFactory()`

Method Summary
`javax.resource.cci.IndexedRecord` | `createIndexedRecord(java.lang.String name)`
`javax.resource.cci.MappedRecord` | `createMappedRecord(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotSupportedRecordFactory

    public NotSupportedRecordFactory()

Method Detail

### createMappedRecord

    public javax.resource.cci.MappedRecord createMappedRecord(java.lang.String name)
                                                       throws javax.resource.ResourceException

  Specified by:
    `createMappedRecord` in interface `javax.resource.cci.RecordFactory`
  Throws:
    `javax.resource.ResourceException`

### createIndexedRecord

    public javax.resource.cci.IndexedRecord createIndexedRecord(java.lang.String name)
                                                         throws javax.resource.ResourceException

  Specified by:
    `createIndexedRecord` in interface `javax.resource.cci.RecordFactory`
  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD